package net.woodyfolsom.msproj;

import static org.junit.Assert.assertTrue;

import org.junit.Test;

public class LegalMoveTest {
	@Test
	public void testLegalMove1Liberty() {
		GameState gameState = new GameState(5);
		gameState.playStone(Player.BLACK, Action.getInstance("A2"));
		gameState.playStone(Player.BLACK, Action.getInstance("B3"));
		gameState.playStone(Player.BLACK, Action.getInstance("B1"));
		assertTrue(gameState.playStone(Player.WHITE, Action.getInstance("B2")));
		System.out.println(gameState);
	}
}